Skip to content

REST API: Android Action Buttons List

This GET endpoint retrieves a list of all notification action buttons for a specific application.

GET API url -> /v1/notifications/android-action-buttons

Query Parameters

The following query parameters are possible:

Field Type Description Required
appId String Application id

Response Examples

[
    {
        "id": "nab_fkjXW2icwkJeYi3geNfmqsfDXRRzBevQ",
        "appId": "developer.android.id.app",
        "actionId": "yes",
        "label": "Yes",
        "createdAt": 1771857271293,
    },
    {
        "id": "nab_94ocqwJnITtUfNfaYg88GD2qFZOJy0mR",
        "appId": "developer.android.id.app",
        "actionId": "unsubscribe",
        "label": "Unsubscribe",
        "createdAt": 1771857271293,
    },
    {
        "id": "nab_iZcYIHx68NXNeQC9BaHLV8PD0uPbK38l",
        "appId": "developer.android.id.app",
        "actionId": "turn_on",
        "label": "Turn on",
        "createdAt": 1771857271294,
    }
]
Error message